{% extends 'admin/base.html.twig' %}

{% block css %}
    <link rel="stylesheet" href="{{ asset('css/libs/richtext.min.css') }}"/>
    <link rel="stylesheet" href="{{ asset('css/admin/products/article/styles.css') }}"/>
    <link rel="stylesheet" href="{{ asset('css/admin/products/article/media.css') }}"/>
{% endblock %}

{% block jsscript %}
    <script src="{{ asset('js/libs/jquery.richtext.js') }}"></script>
    <script src="{{ asset('js/admin/products/article/article.js') }}"></script>
{% endblock %}

{% block content %}
    <div class="title-block">
        <h2>Создание продукта</h2>
        <p>Создайте новый продукт</p>
    </div>
    <div class="block-box">
        <div class="block-title">
            <p><span><i class="fas fa-pencil-alt"></i></span> Общая информация</p>
        </div>
        <div class="block-content">
            <form class="form-general">
                <table class="table table-bordered table-container">
                    <tbody>
                    <tr>
                        <td>
                            <label>Title:</label>
                        </td>
                        <td>
                            <input type="text" name="title"/>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <label>H1:</label>
                        </td>
                        <td>
                            <input type="text" name="h1"/>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <label>Keywords:</label>
                        </td>
                        <td>
                            <input type="text" name="keywords"/>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <label>Description:</label>
                        </td>
                        <td>
                            <input type="text" name="description"/>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <label>Категория:</label>
                        </td>
                        <td>
                            <select name="categoryId">
                                {% for category in categories %}
                                    <option value="{{ category.id }}" {% if category.selected == true %} selected {% endif %}>{{ category.name }}</option>
                                {% endfor %}
                            </select>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <label>Main image path:</label>
                        </td>
                        <td>
                            <input type="text" name="mainImagePath"/>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <label>Main image alt:</label>
                        </td>
                        <td>
                            <input type="text" name="mainImageAlt"/>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <label>Текст:</label>
                        </td>
                        <td>
                            <textarea class="product-text" name="text"></textarea>
                            <button class="btn-insert-element btn-insert-notice">notice</button>
                            <button class="btn-insert-element btn-insert-console">console</button>
                            <button class="btn-insert-element btn-insert-code">code</button>
                            <button class="btn-insert-element btn-insert-img">image</button>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <label>Status:</label>
                        </td>
                        <td>
                            <select name="status">
                                {% for item in status %}
                                    <option value="{{ item }}">{{ item }}</option>
                                {% endfor %}
                            </select>
                        </td>
                    </tr>
                    </tbody>
                </table>
            </form>
        </div>
    </div>
    <div class="block-box">
        <div class="block-title">
            <p><span><i class="fas fa-pencil-alt"></i></span> Картинки</p>
        </div>
        <div class="block-content">
            <form class="form-images">
                <table class="table table-bordered table-images">
                    <thead style="font-weight: bold">
                    <tr>
                        <td>Path</td>
                        <td>Alt</td>
                        <td style="width: 10%">Position</td>
                        <td style="width: 5%">Action</td>
                    </tr>
                    </thead>
                    <tbody>
                    </tbody>
                </table>
            </form>
            <a href="" class="btn-action btn-add btn-add-image"><i class="fas fa-plus"></i> Добавить</a>
        </div>
    </div>
    <div class="block-box" style="border: none">
        <div class="block-footer">
            <a href="" class="btn-action btn-save btn-save-article"><i class="fas fa-check"></i> Сохранить</a>
        </div>
    </div>
{% endblock %}